# whatsapp-web.js 1.2.1-post » Class: MessageMedia

## Properties

data

filename

mimetype

## new MessageMedia(mimetype, data, filename)

### Parameters

Name | Type | Optional | Description
--- | --- | --- | ---
mimetype |  |  | MIME type of the attachment
data |  |  | Base64-encoded data of the file
filename |  |  | Document file name Value can be null.

## Properties

### data string

Base64 encoded data that represents the file

### filename nullable string

Name of the file (for documents)

### mimetype string

MIME type of the attachment